# -*- encoding: utf-8 -*-
# stub: logstash-output-charrington 0.3.22 ruby lib

Gem::Specification.new do |s|
  s.name = "logstash-output-charrington".freeze
  s.version = "0.3.22"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "logstash_group" => "output", "logstash_plugin" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["dconger".freeze, "brianbroderick".freeze, "spencerdcarlson".freeze]
  s.date = "2020-01-06"
  s.description = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/logstash-plugin install 'logstash-output-charrington'. This gem is not a stand-alone program".freeze
  s.homepage = "https://gitlab.podium.com/engineering/analytics/logstash-output-charrington".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.requirements = ["jar 'com.zaxxer:HikariCP', '2.7.2'".freeze, "jar 'org.apache.logging.log4j:log4j-slf4j-impl', '2.6.2'".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This plugin allows you to output to SQL, via JDBC".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<logstash-core-plugin-api>.freeze, [">= 1.60", "<= 2.99"])
    s.add_runtime_dependency(%q<logstash-codec-plain>.freeze, ["~> 3.0", ">= 3.0.6"])
    s.add_development_dependency(%q<logstash-devutils>.freeze, ["~> 1.3", ">= 1.3.1"])
    s.add_development_dependency(%q<jar-dependencies>.freeze, ["~> 0.4.0"])
    s.add_development_dependency(%q<ruby-maven>.freeze, ["~> 3.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.41.2"])
    s.add_development_dependency(%q<logstash-input-generator>.freeze, ["~> 3.0", ">= 3.0.6"])
    s.add_development_dependency(%q<logstash-codec-json>.freeze, ["~> 3.0", ">= 3.0.5"])
    s.add_development_dependency(%q<insist>.freeze, ["~> 1.0"])
  else
    s.add_dependency(%q<logstash-core-plugin-api>.freeze, [">= 1.60", "<= 2.99"])
    s.add_dependency(%q<logstash-codec-plain>.freeze, ["~> 3.0", ">= 3.0.6"])
    s.add_dependency(%q<logstash-devutils>.freeze, ["~> 1.3", ">= 1.3.1"])
    s.add_dependency(%q<jar-dependencies>.freeze, ["~> 0.4.0"])
    s.add_dependency(%q<ruby-maven>.freeze, ["~> 3.3"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.41.2"])
    s.add_dependency(%q<logstash-input-generator>.freeze, ["~> 3.0", ">= 3.0.6"])
    s.add_dependency(%q<logstash-codec-json>.freeze, ["~> 3.0", ">= 3.0.5"])
    s.add_dependency(%q<insist>.freeze, ["~> 1.0"])
  end
end
